/*******************************************************************************
 * Copyright (c) 2013 Ericsson and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Miles Parker (Tasktop Technologies) - initial API and implementation
 *******************************************************************************/

package org.eclipse.mylyn.reviews.core.spi.remote.review;

import org.eclipse.mylyn.reviews.core.model.IRepository;

/**
 * Supports decoupling of Reviews from remote API.
 * 
 * @author Miles Parker
 */
public interface IReviewRemoteFactoryProvider {

	ReviewRemoteFactory<?, ?> getReviewFactory();

	ReviewItemSetRemoteFactory<?, ?> getReviewItemSetFactory();

	ReviewItemSetContentRemoteFactory<?, ?> getReviewItemSetContentFactory();

	IRepository getRoot();
}
